Skip to content

OLT Traffic Profile ​

5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
addTrafficProfilePOSTCreate new traffic profile
deleteTrafficProfilePOSTDelete an existing traffic profile
editTrafficProfilePOSTModify an existing traffic profile
getTrafficProfileListGETGet traffic profile list
getTrafficProfilePageGETGet traffic profile page

addTrafficProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/add

Create new traffic profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema TrafficProfileDTO

FieldTypeRequiredDescription
namestringnoName of the traffic profile. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.).
rateLimitStatusstringyesWhether to enable rate limit.RateLimitStatus should be a value as follows:DISABLE,ENABLE.ENABLE by default.When enabled, CIR must be configured, while CBS, PIR, and PBS parameters are optional.When disabled, the CIR, CBS, PIR, and PBS parameters are grayed out and cannot be configured.
cirValueintegernoCirValue should be within the range of 128 to 10240000
cbsValueintegernoCbsValue should be within the range of 2000 to 10240000
pirValueintegernoPirValue should be within the range of 128 to 10240000
pbsValueintegernoPbsValue should be within the range of 2000 to 10240000
prioritystringyesPriority type of the traffic profile.Priority should be a value as follows:ASSIGNED,USER_COS
priorityValueintegeryesPriority value of the traffic profile.PriorityValue should be within the range of 0 to 7
innerPrioritystringyesInner priority type of the traffic profile,innerPriority should be a value as follows ASSIGNED, NONE, USER_COS, USER_INNER_COS
innerPriorityValueintegernoInner priority value of the traffic profile.InnerPriorityValue should be within the range of 0 to 7
priorityPolicystringyesTraffic priority policy should be a value as follows:LOCAL_SETTING, TAG_IN_PACKAGE, TAG_IN_INGRESS_PACKAGE
isInUsebooleannoWhether the Traffic Profile is in use; if it is in use, it cannot be deleted.
trafficIdintegeryesTraffic profile ID.TrafficId should be within the range of 1 to 512
json
// omada_call_operation
{
  "operationId": "addTrafficProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new traffic profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

deleteTrafficProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/delete

Delete an existing traffic profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema IntIdListRequest

FieldTypeRequiredDescription
idsarray<integer>yesID list
json
// omada_call_operation
{
  "operationId": "deleteTrafficProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing traffic profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editTrafficProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/edit

Modify an existing traffic profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema TrafficProfileModifyDTO

FieldTypeRequiredDescription
namestringnoName of the traffic profile. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.).
rateLimitStatusstringyesWhether to enable rate limit.RateLimitStatus should be a value as follows:DISABLE,ENABLE.ENABLE by default.When enabled, CIR must be configured, while CBS, PIR, and PBS parameters are optional.When disabled, the CIR, CBS, PIR, and PBS parameters are grayed out and cannot be configured.
cirValueintegernoCirValue should be within the range of 128 to 10240000
cbsValueintegernoCbsValue should be within the range of 2000 to 10240000
pirValueintegernoPirValue should be within the range of 128 to 10240000
pbsValueintegernoPbsValue should be within the range of 2000 to 10240000
prioritystringyesPriority type of the traffic profile.Priority should be a value as follows:ASSIGNED,USER_COS
priorityValueintegeryesPriority value of the traffic profile.PriorityValue should be within the range of 0 to 7
innerPrioritystringyesInner priority type of the traffic profile,innerPriority should be a value as follows ASSIGNED, NONE, USER_COS, USER_INNER_COS
innerPriorityValueintegernoInner priority value of the traffic profile.InnerPriorityValue should be within the range of 0 to 7
priorityPolicystringyesTraffic priority policy should be a value as follows:LOCAL_SETTING, TAG_IN_PACKAGE, TAG_IN_INGRESS_PACKAGE
isInUsebooleannoWhether the Traffic Profile is in use; if it is in use, it cannot be deleted.
trafficIdintegeryesTraffic profile ID.TrafficId should be within the range of 1 to 512
json
// omada_call_operation
{
  "operationId": "editTrafficProfile",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing traffic profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getTrafficProfileList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/list

Get traffic profile list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryTrafficProfileListQueryDTOnoObject: its fields (searchKey, sorts, searchFields) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getTrafficProfileList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get traffic profile list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getTrafficProfilePage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/traffic/profiles/page

Get traffic profile page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryTrafficProfilePageQueryDTOnoObject: its fields (searchKey, sorts, size, number, searchFields) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getTrafficProfilePage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get traffic profile page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.